package p05_switch;

import javax.swing.*;

/* W tej wersji używamy notacji -> (zamiast :), w której wykonywany jest na pewno tylko jeden case,
 * bez potrzeby pisania break.
 * Za strzałką może być albo jedna instrukcja;  albo {blok}
 * Taka pojawiła się w Javie 14.
 */
public class DzienTygodnia3 {

    public static void main(String[] args) {
        int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia [1-7]"));

        switch (numer) {
            case 1 ->
                JOptionPane.showMessageDialog(null, "To jest poniedziałek");
            case 2 ->
                JOptionPane.showMessageDialog(null, "To jest wtorek");
            case 3 ->
                JOptionPane.showMessageDialog(null, "To jest środa");
            case 4 ->
                JOptionPane.showMessageDialog(null, "To jest czwartek");
            case 5 -> {
                JOptionPane.showMessageDialog(null, "To jest piątek");
                JOptionPane.showMessageDialog(null, "weekendu początek");
            }
            case 6 ->
                JOptionPane.showMessageDialog(null, "To jest sobota");
            case 7 ->
                JOptionPane.showMessageDialog(null, "To jest niedziela");
            default ->
                JOptionPane.showMessageDialog(null, "Niepoprawny numer", "Błąd", JOptionPane.ERROR_MESSAGE);
        }
        JOptionPane.showMessageDialog(null, "Koniec programu");

    }

}
